package com.ims.eval.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ims.common.utils.Constant;
import com.ims.eval.config.CustomException;
import com.ims.eval.dao.EvaluationDeptPlanContentMapper;
import com.ims.eval.entity.EvaluationDeptPlanContent;
import com.ims.eval.entity.Myuser;
import com.ims.eval.entity.dto.response.MyuserResDTO;
import com.ims.eval.service.IEvaluationDeptPlanContentService;
import com.ims.eval.service.IUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @author hlf
 * @date 2023/4/27 16:03
 * 文件说明：
 */
@Service
public class EvaluationDeptPlanContentImpl extends ServiceImpl<EvaluationDeptPlanContentMapper, EvaluationDeptPlanContent> implements IEvaluationDeptPlanContentService {

	@Autowired
	private IUserService userService;

	@Override
	public List<EvaluationDeptPlanContent> detailsList(String businessPlanId, String indicatorCategory, HttpServletRequest request) {
		List<EvaluationDeptPlanContent> evaluationDeptPlanContentList = baseMapper.detailsList(businessPlanId, indicatorCategory);
		/*Myuser myuser = userService.getSysUser(request);
		if (null != myuser) {
			throw new CustomException("暂无权限");
		} else {
			for (EvaluationDeptPlanContent evaluationDeptPlanContent : evaluationDeptPlanContentList) {
				boolean updateMark = false;
				if (!"".equals(myuser.getDeptId())) {
					if (myuser.getDeptId().equals(evaluationDeptPlanContent.getDeptId())) {
						updateMark = true;
					} else if (myuser.getLoginName().equals("admin")) {
						updateMark = true;
					} else {
						throw new CustomException("暂无权限");
					}
				}
				evaluationDeptPlanContent.setUpdateMark(updateMark);
			}
		}*/
		evaluationDeptPlanContentList.stream().forEach(i->{
			i.setUpdateMark(true);
		});
		return evaluationDeptPlanContentList;
	}
}
